Bug 42491 - PROMPT_COMMAND set inappropriately in /etc/bashrc
Summary: PROMPT_COMMAND set inappropriately in /etc/bashrc
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: bash   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-27 20:00 UTC by John M. Adams
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-27 20:00:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John M. Adams 2001-05-27 20:00:06 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (X11; U; Linux 2.2.17 i686)

Description of problem:
It's really a very bad idea to set PROMPT_COMMAND in /etc/bashrc.
In particular, it should not be set to echo an xterm escape.  More,
specifically, it should not be set to diddle with the term window
title.  This defeats standard means for users to set the title in xterm and
rxvt and causes confusion.

In general, I suggest that Red Hat refrain from setting a bunch of
personal preference type variables in the system init files for bash.



How reproducible:
Always

Steps to Reproduce:
1. start bash with xterm -title fubar or rxvt -title fubar
2.
3.
	

Actual Results:  You don't get the window title you specified.

Expected Results:  The window should have had the title "fubar".

Additional info:

If you want Red Hat to be accepted by casual, non-geek type users,
then don't do unnecessary, fancy, counterintuitive things in the
system startup files.

Comment 1 Bernhard Rosenkraenzer 2001-05-28 06:59:08 UTC
It's a feature.
You can turn it off in the current version (rawhide), though.



Note You need to log in before you can comment on or make changes to this bug.